/*****************************************************************************************
*                                                                                        *
* This SAS program will extract the United States Sentencing Commission's Federal        *
* Robbery:  Prevalence, Trends, and Factors in Sentencing report Carjacking file and     *
* create a SAS dataset.                                                                  *   
*                                                                                        *
* Prior to running the program you must update the DAT file location in the FILNAME line *
* to correspond to the location of the file on your computer.                            *
*                                                                                        *
* You must also update the library location in the LIBNAME statement to correspond to    *
* the folder you want the output file to be located.                                     *
*                                                                                        *
*****************************************************************************************/

/* The following line should contain the complete path and name of your raw data file */
FILENAME datafile '.\USSC_Robbery_Car_Public.dat' ;

/* The following line should contain the directory in which you wish your SAS file to be stored */
libname library '.' ;

/* The following line contains the name (without the extension) for your SAS dataset */
%LET dataset = USSC_Robbery_Car_Public ;

DATA library.&dataset ;
INFILE datafile LRECL=27;
INPUT
   USSCIDN  1-8             CARJACK_ID  9-12         PASSENGER_DUMMY  13-15
   MINOR_DUMMY  16-18       REMAIN_DUMMY  19-21      CHASE_DUMMY  22-24    
   CARJACK_PURPOSE  25-27 ;                       

LENGTH
   USSCIDN 6                CARJACK_ID 4             PASSENGER_DUMMY 3     
   MINOR_DUMMY 3            REMAIN_DUMMY 3           CHASE_DUMMY 3         
   CARJACK_PURPOSE 3 ;

 

RUN ;
